%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(DBD/mysql.pm) perl(DBI.pm) perl(Error.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name DBIx-DBObj
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MH/MHAT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
DBIx::DBObj provides a lightweight OO interface to interact with records in 
a SQL database. DBIx::DBObj has some functional overlap with a another Perl
module DBIx::SearchBuilder. The major difference between the two is that 
DBObj does not try to provide a OO API for costructing complex SQL queries. 


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README example
%perl_vendor_privlib/D*
%perl_vendor_privlib/P*
%perl_vendor_privlib/E*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

